# Contributing

When contributing to this repository, please first discuss the change you wish to make via issue,
email, or any other method with the owners of this repository before making a change. 

## Pull Request Process

1. Ensure any install or build dependencies are removed before the end of the layer when doing a 
   build.
2. Update the README.md with details of your change, add some examples as well.
3. Add test cases for your change and take care about successfull execution of all tests.
   See TESTING.md file.
4. Increase the version number in `metadata.rb` to the new version that this
   Pull Request would represent. The versioning scheme we use is [SemVer](http://semver.org/).
5. Your pull request will be reviewed and either merged or rejected with reason specification as soon as possible
